Lucius API
Customers

Create a customer

Creates a customer. Pass `external_id` for your own id — duplicate returns 409.

POST
/v1/billing/customers

Authorization

AuthorizationBearer <token>

API key as Bearer token: Authorization: Bearer luc_live_.... Create keys in the dashboard under Settings > API Keys.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/billing/customers" \  -H "Content-Type: application/json" \  -d '{    "name": "Acme Corp",    "email": "billing@acme.com",    "domain": "acme.com",    "country": "US",    "external_id": "cust_acme",    "payment_terms_days": 30  }'
{  "object": "customer",  "id": "316301ff-ecd8-48cc-a4c4-92c7c6ba33f1",  "external_id": "cust_acme",  "name": "Acme Corp",  "email": "billing@acme.com",  "domain": "acme.com",  "country": "US",  "created_at": "2026-10-02T10:00:00.000Z"}

{  "error": "Missing API key"}

{  "error": "string",  "customer": {    "object": "customer",    "id": "string",    "external_id": "string",    "name": "string",    "email": "string",    "domain": "string",    "country": "string",    "created_at": "2019-08-24T14:15:22Z"  }}